---
os_infra_enable_snat: true
# Set it if network needs to be binded to a specific public network
# os_infra_public_net_name:

###
# Required for variable validation, don't change
##

os_infra_mandatory_vars_network:
  - name: os_infra_project_name
    description: the project we want to use
    schema:
      type: string
      minLength: 1
  - name: os_infra_user_name
    description: the user name to manage on openstack
    schema:
      type: string
      minLength: 1
  - name: os_infra_net_config
    description: the network configuration description
    schema:
      type: object
      patternProperties:
        "^.*":
          description: the network name
          type: object
          properties:
            network:
              type: string
              minLength: 1
            mask:
              type: integer
            gateway:
              type: string
              minLength: 1
            dns:
              type: string
              minLength: 1
            internal:
              type: boolean
            provider:
              type: boolean
          required:
            - network
            - mask
